Endpoints
Get User Balances
Returns wallet token balances combined with Breeze position balances. Amounts use each token's smallest unit and the result is paginated.
Authorization
api_key x-api-key<token>
In: header
Path Parameters
user_id*string
Fund user wallet address
Query Parameters
asset?string
Filter by specific asset
sort_by?string
Sort by balance
sort_order?string
Sort order: 'asc' or 'desc'
page?integer
Page number
Format
int32Range
0 <= valuelimit?integer
Items per page
Format
int32Range
0 <= valueResponse Body
application/json
text/plain
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/user-balances/string"{ "data": [ { "decimals": 6, "token_address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v", "token_name": "USD Coin", "token_symbol": "USDC", "total_balance": 2003215, "yield_balance": { "amount_of_yield": "3215", "fund_apy": 5.66, "fund_id": "LbUiWL3xVV8hTFYBVdbTNrpDo41NKS6o3LHHuDzjfcY", "funds": "2000000" } } ], "meta": { "has_more": false, "page": 1, "per_page": 10, "total": 1, "total_pages": 1 }}"Failed to deserialize query string: page: invalid digit found in string"{ "message": "Missing credentials"}{ "message": "API key invalid or doesn't exist"}{ "message": "Internal server error"}{ "message": "string"}